Game Develop Core: gd::ParserCallbacks Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
gd::ParserCallbacks Class Referenceabstract

Callbacks called by parser during parsing. More...

`#include <ExpressionParser.h>`

Inheritance diagram for gd::ParserCallbacks:
[legend]

## Public Member Functions

virtual void | OnConstantToken (std::string text)=0
virtual void | OnNumber (std::string text)=0
virtual void | OnOperator (std::string text)=0
virtual void | OnStaticFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)=0
virtual void | OnStaticFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)=0
virtual void | OnObjectFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)=0
virtual void | OnObjectFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)=0
virtual void | OnObjectAutomatismFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)=0
virtual void | OnObjectAutomatismFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)=0
virtual bool | OnSubMathExpression (const gd::Platform &platform, const gd::Project &project, const gd::Layout &layout, gd::Expression &expression)=0
virtual bool | OnSubTextExpression (const gd::Platform &platform, const gd::Project &project, const gd::Layout &layout, gd::Expression &expression)=0

## Public Attributes

std::string | firstErrorStr
size_t | firstErrorPos

## Detailed Description

Callbacks called by parser during parsing.

Parser will call the appropriate functions during parsing, allowing to do special works.

See Also
  gd::ExpressionParser

The documentation for this class was generated from the following file:

- ExpressionParser.h